## libpod 2.0.6+dfsg1

=== debian/changelog ===
libpod (2.0.6+dfsg1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules
    - allow building with older runc

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Sep 2020 13:52:59 -0400

libpod (2.0.6+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: cleanups
  * drop malformed lintian override
  * Bump standard version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Sep 2020 15:35:01 -0400

libpod (2.0.4+dfsg2-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 23 Aug 2020 02:42:00 +0800

libpod (2.0.4+dfsg2-4) experimental; urgency=medium

  * Team upload.
  * Tighten buildah Build-Depends version

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 Aug 2020 02:54:27 +0800

libpod (2.0.4+dfsg2-3) experimental; urgency=medium

  * Team upload.

  [ Reinhard Tartler ]
  * Add more notes on how to get started with Debian kernels

  [ Shengjing Zhu ]
  * Add patch to fix build with new runc

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 Aug 2020 01:00:02 +0800

libpod (2.0.4+dfsg2-2) unstable; urgency=medium

  [ Martin Pitt ]
  * Bump conmon dependency

  [ Dmitry Smirnov ]
  * Harmonize repacksuffix to fix CI.
  * Tighten recommendation on fuse-overlayfs (>= 1.0.0~).

  [ Reinhard Tartler ]
  * Bug fix: "Breaks docker", thanks to Jan Hudec (Closes: #968207).
    - No longer create symlink /run/docker.sock to avoid interfering
      with the docker daemon. Users that wish to replace the docker
      daemon with podman are advised to install the symlink themselves
      and arrange appropriate permissions for podman.sock.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Aug 2020 07:41:44 -0400

libpod (2.0.4+dfsg2-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 04 Aug 2020 07:01:48 -0400

libpod (2.0.4+dfsg2-1) unstable; urgency=medium

  * Vendor in protobuf 3 to workaround #961814
  * Remove "insanity workaround" related to protobuf
  * Hand in forgotten changelog entry in 2.0.4+dfsg1-1

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 03 Aug 2020 07:20:45 -0400

libpod (2.0.4+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * No longer install /etc/containers/libpod.conf (Closes: #961016)
      This file is deprecated in version 2.0 and is superseeded by
      /etc/containers/containers.conf, which is provided by the
      olang-github-containers-common package. The old file hardcodes
      a default OCI runtime that breaks in default installations.
  * Fixed REST API regression (Closes: #966501)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 30 Jul 2020 07:12:41 -0400

libpod (2.0.3+dfsg1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 29 Jul 2020 13:24:08 -0400

libpod (2.0.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Install systemd helper files in favor of varlink (Closes: #966118)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 26 Jul 2020 10:53:39 -0400

libpod (2.0.2+dfsg1-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Jul 2020 10:07:52 -0400

libpod (2.0.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Jul 2020 10:18:00 -0400

libpod (2.0.2+dfsg1-2) experimental; urgency=medium

  * Team upload.
  * debian/rules: Add XDG_RUNTIME_DIR settings on build
    - Based on debian/rules from the ibus package, unbreaks
      testsuite on many buildds

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 17 Jul 2020 06:56:20 -0400

libpod (2.0.2+dfsg1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version, Closes: #964378

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 16 Jul 2020 18:06:15 -0400

libpod (1.6.4+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Rename golang-x-text-dev to golang-golang-x-text-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 12 Jul 2020 18:51:51 +0800

libpod (1.6.4+dfsg1-3ubuntu1) groovy; urgency=medium

  * Work around differences of github-golang-docker-docker-dev vendored
    libraries in Debian and tighten build-dependency

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 May 2020 08:59:54 -0400

libpod (1.6.4+dfsg1-3) unstable; urgency=high

  * Team upload.
  * Do not copy up when volume is not empty
    CVE-2020-1726, Closes: #961421

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 28 May 2020 17:24:41 -0400

libpod (1.6.4+dfsg1-2) unstable; urgency=medium

  * Un-vendored "golang-github-checkpoint-restore-go-criu-dev".
  * Tightened dependency: "conmon (>= 2.0.2~)".
  * rules:
    + Golang insanity workaround.
    + Removed obsolete "containers_image_ostree" build tag.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Jan 2020 10:56:58 +1100

libpod (1.6.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Install "seccomp.json".
  * Install tutorials.
  * Un-vendored "openshift/api" library.
  * Build-Depends:
    - golang-github-boltdb-bolt-dev
    + golang-github-coreos-bbolt-dev (>= 1.3.3~)
    - golang-github-containerd-continuity-dev
    = golang-github-containers-buildah-dev (>= 1.11.6~)
    = golang-github-containers-image-dev (>= 5.0.0~)
    + golang-github-openshift-api-dev



=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export GO111MODULE=off

export DH_GOLANG_GO_GENERATE := 1

export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type f -name '*.varlink') $(wildcard libpod/*/testdata/*)
export DH_GOLANG_EXCLUDES := dependencies test/e2e contrib/perftest test/utils test/endpoint

export HOME=$(CURDIR)/debian/tmp

## https://podman.io/getting-started/installation#build-tags
BUILDTAGS := apparmor ostree seccomp selinux systemd varlink
# containers_image_openpgp

$(info :: DH_GOLANG_INSTALL_EXTRA=$(DH_GOLANG_INSTALL_EXTRA))
%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_output

override_dh_clean:
	dh_clean $(PB_GO_FILES)
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'

override_dh_auto_configure:
	# force debhelper to symlink subdirs in docker, enables workarounds below
	mkdir -v -p _output/src/github.com/docker _output/src/github.com/seccomp
	mkdir -v -p _output/src/github.com/docker/docker/vendor/github.com/docker/go-connections/
	dh_auto_configure
	# workaround some vendoring issues - in ubuntu all docker vendored libraries
	# are installed in the "vendor/" subdirectory
	test -d _output/src/github.com/docker/libnetwork || \
	  ln -sv docker/vendor/github.com/docker/libnetwork \
	     _output/src/github.com/docker
	test -d _output/src/github.com/seccomp/libseccomp-golang || \
	  ln -sv ../docker/docker/vendor/github.com/seccomp/libseccomp-golang \
	  _output/src/github.com/seccomp

	# Golang insanity
	# workaround "sub-vendored" package github.com/docker/go-connections/nat
	rm -rf _output/src/github.com/docker/docker/vendor/github.com/docker/go-connections/


MANPAGES_DIR:=_output/manpages
MANPAGES5 := $(patsubst %.md,%,$(wildcard docs/*.5.md)) $(patsubst %.md,%,$(wildcard pkg/hooks/docs/*.5.md))
$(MANPAGES5): $(info MANPAGES5=$(MANPAGES5))
	go-md2man -in $(@).md -out $@

override_dh_auto_build: $(MANPAGES5)
	$(MAKE) docs

#	LDFLAGS_PODMAN="-X main.gitCommit=$(GIT_COMMIT)"
	dh_auto_build -v -- -tags "$(BUILDTAGS)" \
          -ldflags "-X main.buildInfo=$(DEB_VERSION)"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.cache
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.config
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.local/share
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/run
	env \
	  HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CACHE_HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CONFIG_HOME=$(CURDIR)/debian/tmp-home/.config \
	  XDG_DATA_HOME=$(CURDIR)/debian/tmp-home/.local/share \
	  XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
	  PATH="$(CURDIR)/_output/bin:$$PATH" \
	  DH_GOLANG_EXCLUDES="$${DH_GOLANG_EXCLUDES} libpod/lock/file libpod/hack/podman-registry-go libpod/pkg/bindings/test" \
	dh_auto_test -v --max-parallel=2
	rm -rf $(CURDIR)/debian/tmp-home
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- --no-source

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg1,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/containers/libpod/releases \
  .*/archive/v?(\d[-\d\.]+)\.tar\.gz

## libpod 3.0.1%2Bdfsg1

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg1,\
repack,compression=xz,\
dirversionmangle=s/-rc/~rc/,\
uversionmangle=s/-rc/~rc/,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/containers/libpod/releases \
  .*/archive/v?(\d[-\w\d\.]+)\.tar\.gz

## libpod 3.0.1+dfsg1

=== Makefile ===
export GOPROXY=https://proxy.golang.org

GO ?= go
COVERAGE_PATH ?= .coverage
DESTDIR ?=
EPOCH_TEST_COMMIT ?= $(shell git merge-base $${DEST_BRANCH:-master} HEAD)
HEAD ?= HEAD
CHANGELOG_BASE ?= HEAD~
CHANGELOG_TARGET ?= HEAD
PROJECT := github.com/containers/podman
GIT_BASE_BRANCH ?= origin/master
GIT_BRANCH ?= $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null)
GIT_BRANCH_CLEAN ?= $(shell echo $(GIT_BRANCH) | sed -e "s/[^[:alnum:]]/-/g")
LIBPOD_INSTANCE := libpod_dev
PREFIX ?= /usr/local
BINDIR ?= ${PREFIX}/bin
LIBEXECDIR ?= ${PREFIX}/libexec
MANDIR ?= ${PREFIX}/share/man
SHAREDIR_CONTAINERS ?= ${PREFIX}/share/containers
ETCDIR ?= /etc
TMPFILESDIR ?= ${PREFIX}/lib/tmpfiles.d
SYSTEMDDIR ?= ${PREFIX}/lib/systemd/system
USERSYSTEMDDIR ?= ${PREFIX}/lib/systemd/user
REMOTETAGS ?= remote exclude_graphdriver_btrfs btrfs_noversion exclude_graphdriver_devicemapper containers_image_openpgp
BUILDTAGS ?= \
	$(shell hack/apparmor_tag.sh) \
	$(shell hack/btrfs_installed_tag.sh) \
	$(shell hack/btrfs_tag.sh) \
	$(shell hack/selinux_tag.sh) \
	$(shell hack/systemd_tag.sh) \
	exclude_graphdriver_devicemapper \
	seccomp
PYTHON ?= $(shell command -v python3 python|head -n1)
PKG_MANAGER ?= $(shell command -v dnf yum|head -n1)
# ~/.local/bin is not in PATH on all systems
PRE_COMMIT = $(shell command -v bin/venv/bin/pre-commit ~/.local/bin/pre-commit pre-commit | head -n1)

SOURCES = $(shell find . -path './.*' -prune -o -name "*.go")

BUILDFLAGS := -mod=vendor $(BUILDFLAGS)

BUILDTAGS_CROSS ?= containers_image_openpgp exclude_graphdriver_btrfs exclude_graphdriver_devicemapper exclude_graphdriver_overlay
CONTAINER_RUNTIME := $(shell command -v podman 2> /dev/null || echo docker)
OCI_RUNTIME ?= ""

BASHINSTALLDIR=${PREFIX}/share/bash-completion/completions
ZSHINSTALLDIR=${PREFIX}/share/zsh/site-functions
FISHINSTALLDIR=${PREFIX}/share/fish/vendor_completions.d

SELINUXOPT ?= $(shell test -x /usr/sbin/selinuxenabled && selinuxenabled && echo -Z)

COMMIT_NO ?= $(shell git rev-parse HEAD 2> /dev/null || true)
GIT_COMMIT ?= $(if $(shell git status --porcelain --untracked-files=no),${COMMIT_NO}-dirty,${COMMIT_NO})
DATE_FMT = %s
ifdef SOURCE_DATE_EPOCH
	BUILD_INFO ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
	ISODATE ?= $(shell date -d "@$(SOURCE_DATE_EPOCH)" --iso-8601)
else
	BUILD_INFO ?= $(shell date "+$(DATE_FMT)")
	ISODATE ?= $(shell date --iso-8601)
endif
LIBPOD := ${PROJECT}/v2/libpod
GCFLAGS ?= all=-trimpath=${PWD}
ASMFLAGS ?= all=-trimpath=${PWD}
LDFLAGS_PODMAN ?= \
	  -X $(LIBPOD)/define.gitCommit=$(GIT_COMMIT) \
	  -X $(LIBPOD)/define.buildInfo=$(BUILD_INFO) \
	  -X $(LIBPOD)/config._installPrefix=$(PREFIX) \
	  -X $(LIBPOD)/config._etcDir=$(ETCDIR) \
	  $(EXTRA_LDFLAGS)
#Update to LIBSECCOMP_COMMIT should reflect in Dockerfile too.
LIBSECCOMP_COMMIT := v2.3.3
# Rarely if ever should integration tests take more than 50min,
# caller may override in special circumstances if needed.
GINKGOTIMEOUT ?= -timeout=90m

RELEASE_VERSION ?= $(shell hack/get_release_info.sh VERSION)
RELEASE_NUMBER ?= $(shell hack/get_release_info.sh NUMBER|sed -e 's/^v\(.*\)/\1/')
RELEASE_DIST ?= $(shell hack/get_release_info.sh DIST)
RELEASE_DIST_VER ?= $(shell hack/get_release_info.sh DIST_VER)
RELEASE_ARCH ?= $(shell hack/get_release_info.sh ARCH)
RELEASE_BASENAME := $(shell hack/get_release_info.sh BASENAME)

# If non-empty, logs all output from server during remote system testing
PODMAN_SERVER_LOG ?=

# If GOPATH not specified, use one in the local directory
ifeq ($(GOPATH),)
export GOPATH := $(HOME)/go
unexport GOBIN
endif
FIRST_GOPATH := $(firstword $(subst :, ,$(GOPATH)))
GOPKGDIR := $(FIRST_GOPATH)/src/$(PROJECT)
GOPKGBASEDIR ?= $(shell dirname "$(GOPKGDIR)")

GOBIN := $(shell $(GO) env GOBIN)
ifeq ($(GOBIN),)
GOBIN := $(FIRST_GOPATH)/bin
endif

export PATH := $(PATH):$(GOBIN)

GOMD2MAN ?= $(shell command -v go-md2man || echo '$(GOBIN)/go-md2man')

CROSS_BUILD_TARGETS := \
	bin/podman.cross.linux.amd64 \
	bin/podman.cross.linux.ppc64le \
	bin/podman.cross.linux.arm \
	bin/podman.cross.linux.arm64 \
	bin/podman.cross.linux.386 \
	bin/podman.cross.linux.s390x \
	bin/podman.cross.linux.mips \
	bin/podman.cross.linux.mipsle \
	bin/podman.cross.linux.mips64 \
	bin/podman.cross.linux.mips64le

.PHONY: all
all: binaries docs

.PHONY: default
default: help

define PRINT_HELP_PYSCRIPT
import re, sys

print("Usage: make <target>")
cmds = {}
for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
	  target, help = match.groups()
	  cmds.update({target: help})
for cmd in sorted(cmds):
		print(" * '%s' - %s" % (cmd, cmds[cmd]))
endef
export PRINT_HELP_PYSCRIPT

# Dereference variable $(1), return value if non-empty, otherwise raise an error.
err_if_empty = $(if $(strip $($(1))),$(strip $($(1))),$(error Required variable $(1) value is undefined, whitespace, or empty))

.PHONY: help
ifneq (, ${PYTHON})
help:
	@$(PYTHON) -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)
else
help:
	$(error python required for 'make help', executable not found)
endif

.gopathok:
ifeq ("$(wildcard $(GOPKGDIR))","")
	mkdir -p "$(GOPKGBASEDIR)"
	ln -sfn "$(CURDIR)" "$(GOPKGDIR)"
endif
	touch $@

.PHONY: lint
lint: golangci-lint
	@echo "Linting vs commit '$(call err_if_empty,EPOCH_TEST_COMMIT)'"
ifeq ($(PRE_COMMIT),)
	@echo "FATAL: pre-commit was not found, make .install.pre-commit to installing it." >&2
	@exit 2
endif
	$(PRE_COMMIT) run -a

.PHONY: golangci-lint
golangci-lint: .gopathok .install.golangci-lint
	hack/golangci-lint.sh run

.PHONY: gofmt
gofmt: ## Verify the source code gofmt
	find . -name '*.go' -type f \
		-not \( \
			-name '.golangci.yml' -o \
			-name 'Makefile' -o \
			-path './vendor/*' -prune -o \
			-path './contrib/*' -prune \
		\) -exec gofmt -d -e -s -w {} \+
	git diff --exit-code

.PHONY: test/checkseccomp/checkseccomp
test/checkseccomp/checkseccomp: .gopathok $(wildcard test/checkseccomp/*.go)
	$(GO) build $(BUILDFLAGS) -ldflags '$(LDFLAGS_PODMAN)' -tags "$(BUILDTAGS)" -o $@ ./test/checkseccomp

.PHONY: test/testvol/testvol
test/testvol/testvol: .gopathok $(wildcard test/testvol/*.go)
	$(GO) build $(BUILDFLAGS) -ldflags '$(LDFLAGS_PODMAN)' -o $@ ./test/testvol

.PHONY: volume-plugin-test-image
volume-plugin-test-img:
	podman build -t quay.io/libpod/volume-plugin-test-img -f Containerfile-testvol .

.PHONY: test/goecho/goecho
test/goecho/goecho: .gopathok $(wildcard test/goecho/*.go)
	$(GO) build $(BUILDFLAGS) -ldflags '$(LDFLAGS_PODMAN)' -o $@ ./test/goecho


.PHONY: bin/podman
bin/podman: .gopathok $(SOURCES) go.mod go.sum ## Build with podman
# Make sure to warn in case we're building without the systemd buildtag.
ifeq (,$(findstring systemd,$(BUILDTAGS)))
	@echo "Podman is being compiled without the systemd build tag. Install libsystemd on \
		Ubuntu or systemd-devel on rpm based distro for journald support."
endif
	$(GO) build $(BUILDFLAGS) -gcflags '$(GCFLAGS)' -asmflags '$(ASMFLAGS)' -ldflags '$(LDFLAGS_PODMAN)' -tags "$(BUILDTAGS)" -o $@ ./cmd/podman

.PHONY: podman
podman: bin/podman

.PHONY: bin/podman-remote
bin/podman-remote: .gopathok $(SOURCES) go.mod go.sum ## Build with podman on remote environment
	$(GO) build $(BUILDFLAGS) -gcflags '$(GCFLAGS)' -asmflags '$(ASMFLAGS)' -ldflags '$(LDFLAGS_PODMAN)' -tags "${REMOTETAGS}" -o $@ ./cmd/podman

.PHONY: bin/podman-remote-static
podman-remote-static: bin/podman-remote-static
	CGO_ENABLED=0 $(GO) build $(BUILDFLAGS) -gcflags '$(GCFLAGS)' -asmflags '$(ASMFLAGS)' -ldflags '$(LDFLAGS_PODMAN_STATIC)' -tags "${REMOTETAGS}" -o bin/podman-remote-static ./cmd/podman

.PHONY: podman-remote
podman-remote: bin/podman-remote

.PHONY: podman.msi
podman.msi: podman-remote podman-remote-windows install-podman-remote-windows-docs ## Will always rebuild exe as there is no podman-remote-windows.exe target to verify timestamp
	$(eval DOCFILE := docs/build/remote/windows)
	find $(DOCFILE) -print \
	|wixl-heat --var var.ManSourceDir --component-group ManFiles --directory-ref INSTALLDIR --prefix $(DOCFILE)/ >$(DOCFILE)/pages.wsx
	wixl -D VERSION=$(RELEASE_NUMBER) -D ManSourceDir=$(DOCFILE) -o podman-v$(RELEASE_NUMBER).msi contrib/msi/podman.wxs $(DOCFILE)/pages.wsx

podman-remote-%: .gopathok ## Build podman for a specific GOOS
	$(eval BINSFX := $(shell test "$*" != "windows" || echo ".exe"))
	CGO_ENABLED=0 GOOS=$* $(GO) build $(BUILDFLAGS) -gcflags '$(GCFLAGS)' -asmflags '$(ASMFLAGS)' -ldflags '$(LDFLAGS_PODMAN)' -tags "${REMOTETAGS}" -o bin/$@$(BINSFX) ./cmd/podman

local-cross: $(CROSS_BUILD_TARGETS) ## Cross local compilation

bin/podman.cross.%: .gopathok
	TARGET="$*"; \
	GOOS="$${TARGET%%.*}" \
	GOARCH="$${TARGET##*.}" \
	CGO_ENABLED=0 $(GO) build $(BUILDFLAGS) -gcflags '$(GCFLAGS)' -asmflags '$(ASMFLAGS)' -ldflags '$(LDFLAGS_PODMAN)' -tags '$(BUILDTAGS_CROSS)' -o "$@" ./cmd/podman

# Update nix/nixpkgs.json its latest stable commit
.PHONY: nixpkgs
nixpkgs:
	@nix run -f channel:nixos-20.09 nix-prefetch-git -c nix-prefetch-git \
		--no-deepClone https://github.com/nixos/nixpkgs > nix/nixpkgs.json

# Build statically linked binary
.PHONY: static
static:
	@nix build -f nix/
	mkdir -p ./bin
	cp -rfp ./result/bin/* ./bin/

.PHONY: run-docker-py-tests
run-docker-py-tests:
	$(eval testLogs=$(shell mktemp))
	./bin/podman run --rm --security-opt label=disable --privileged -v $(testLogs):/testLogs --net=host -e DOCKER_HOST=tcp://localhost:8080 $(DOCKERPY_IMAGE) sh -c "pytest $(DOCKERPY_TEST) "

pkg/api/swagger.yaml: .gopathok release.txt
	make -C pkg/api

.PHONY: swagger
swagger: pkg/api/swagger.yaml

.PHONY: clean
clean: ## Clean artifacts
	rm -rf \
		.gopathok \
		_output \
		release.txt \
		$(wildcard podman-remote*.zip) \
		$(wildcard podman*.tar.gz) \
		bin \
		build \
		test/checkseccomp/checkseccomp \
		test/goecho/goecho \
		test/testdata/redis-image \
		libpod/container_ffjson.go \
		libpod/pod_ffjson.go \
		libpod/container_easyjson.go \
		libpod/pod_easyjson.go \
		.install.goimports \
		docs/build
	make -C docs clean

.PHONY: localunit
localunit: test/goecho/goecho
	hack/check_root.sh make localunit
	rm -rf ${COVERAGE_PATH} && mkdir -p ${COVERAGE_PATH}
	$(GOBIN)/ginkgo \
		-r \
		$(TESTFLAGS) \
		--skipPackage test/e2e,pkg/apparmor,pkg/bindings,hack \
		--cover \
		--covermode atomic \
		--coverprofile coverprofile \
		--outputdir ${COVERAGE_PATH} \
		--tags "$(BUILDTAGS)" \
		--succinct
	$(GO) tool cover -html=${COVERAGE_PATH}/coverprofile -o ${COVERAGE_PATH}/coverage.html
	$(GO) tool cover -func=${COVERAGE_PATH}/coverprofile > ${COVERAGE_PATH}/functions
	cat ${COVERAGE_PATH}/functions | sed -n 's/\(total:\).*\([0-9][0-9].[0-9]\)/\1 \2/p'

.PHONY: test
test: localunit localintegration remoteintegration localsystem remotesystem  ## Run unit, integration, and system tests.

.PHONY: ginkgo
ginkgo:
	$(GOBIN)/ginkgo -v $(TESTFLAGS) -tags "$(BUILDTAGS)" $(GINKGOTIMEOUT) -cover -flakeAttempts 3 -progress -trace -noColor -nodes 3 -debug test/e2e/. hack/.

.PHONY: ginkgo-remote
ginkgo-remote:
	$(GOBIN)/ginkgo -v $(TESTFLAGS) -tags "$(REMOTETAGS)" $(GINKGOTIMEOUT) -cover -flakeAttempts 3 -progress -trace -noColor test/e2e/.

.PHONY: localintegration
localintegration: test-binaries ginkgo

.PHONY: remoteintegration
remoteintegration: test-binaries ginkgo-remote

.PHONY: localsystem
localsystem:
	# Wipe existing config, database, and cache: start with clean slate.
	$(RM) -rf ${HOME}/.local/share/containers ${HOME}/.config/containers
	if timeout -v 1 true; then PODMAN=$(shell pwd)/bin/podman bats test/system/; else echo "Skipping $@: 'timeout -v' unavailable'"; fi

.PHONY: remotesystem
remotesystem:
	# Wipe existing config, database, and cache: start with clean slate.
	$(RM) -rf ${HOME}/.local/share/containers ${HOME}/.config/containers
	# Start podman server using tmp socket; loop-wait for it;
	# test podman-remote; kill server, clean up tmp socket file.
	# podman server spews copious unhelpful output; ignore it.
	rc=0;\

=== debian/changelog ===
libpod (3.0.1+dfsg1-3+deb11u5) bullseye; urgency=medium

  * CVE-2022-2989: Cherry-pick "Add container GID to additional groups" patch
    from the v3.0.1-rhel upstream branch (itself a backport from v4.3.0), to
    address an incorrect handling of supplementary groups. (Closes: #1019591)
  * Add myself to Uploaders.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 29 Dec 2023 17:26:49 +0200

libpod (3.0.1+dfsg1-3+deb11u4) bullseye; urgency=medium

  * Recompile to fix parsing of DBUS_SESSION_BUS_ADDRESS (Closes: #1018816)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Apr 2023 18:16:11 -0400

libpod (3.0.1+dfsg1-3+deb11u3) bullseye; urgency=medium

  * Fix and tighten dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 07 Apr 2023 22:10:33 -0400

libpod (3.0.1+dfsg1-3+deb11u2) bullseye; urgency=medium

  * CVE-2022-1227: pickup changes in containers/psgo, Closes: #1020907
  * CVE-2022-27649: do not set the inheritable capabilities, Closes: #1020906

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 05 Apr 2023 21:00:36 -0400

libpod (3.0.1+dfsg1-3+deb11u1) bullseye; urgency=medium

  * Rebuild against containers-common to pickup seccomp updates required
    for newer kernels. Closes: #​994451, #1006138

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 27 Feb 2022 08:49:15 -0500

libpod (3.0.1+dfsg1-3) unstable; urgency=medium

  * Add networking-lookup-child-IP-in-networks.patch, fixes rootless
    connection issue "Connection reset by peer", Closes: #989803

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 13 Jun 2021 18:28:49 -0400

libpod (3.0.1+dfsg1-2) unstable; urgency=medium

  * Prefer crun over runc, Closes: #985379
  * Add depends in iptables, Closes: #987207

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 21 Apr 2021 17:36:07 -0400

libpod (3.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: tighten dependencies
  * drop inspect-volume-data.patch, merged upstream
  * Use packaged version of ocicrypt

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 24 Feb 2021 06:46:17 -0500

libpod (3.0.0+dfsg1-2) unstable; urgency=medium

  * Adjust dependencies on containers/{storage,image,common,buildah}
    as discussed with upstream

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Feb 2021 08:42:39 -0500

libpod (3.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Feb 2021 06:12:02 -0500

libpod (3.0.0~rc3+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Cleanup varlink service, closes: #981708
  * Tighten dependency on buildah to pickup fix for caching bug,
    closes: #982467

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Feb 2021 06:54:28 -0500

libpod (3.0.0~rc2+dfsg1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 02 Feb 2021 17:21:00 -0500

libpod (3.0.0~rc2+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Install auto-update systemd units
  * debian/copyright: more updates
  * Install auto-update systemd units
  * systemd: Don't enable podman-auto-update.service in default.target
    (Closes: #981097)
  * Pass buildtags also go test invocation to unbreak autopkgtests when
    run as root

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Jan 2021 22:17:33 -0500

libpod (3.0.0~rc1+dfsg1-1) experimental; urgency=medium

  * New upstream version
  * Drop varlink references, dropped upstream
  * Remove confusing line (Closes: #980480)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Jan 2021 11:16:44 -0500

libpod (2.2.1+dfsg1-1) experimental; urgency=medium

  * New upstream version
  * drop cobra-spf13-api.patch, no longer needed
  * Rely on upstream's build scripts to install manpages (Closes: #977502)
  * Remove conflicting manpage container-mounts(5), Closes: #977502
  * drop old-docker-api.patch, no longer needed

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Dec 2020 07:16:27 -0500

libpod (2.2.0+dfsg1-1) experimental; urgency=medium

  * debian/changelog: Bump to libpod 2.2.0
  * Refresh distro patches
  * debian/control: Tighten build-dependency on buildah
  * add cobra-spf13-api.patch
  * debian/copyright: manual updates
  * podman: Add depends on golang-github-containernetworking-plugin-dnsname

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 08 Dec 2020 15:45:22 -0500

libpod (2.1.1+dfsg1-7) unstable; urgency=medium

  * Pass buildtags also go test invocation to unbreak autopkgtests
    on machines that run as real root.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 01 Feb 2021 06:43:56 -0500

libpod (2.1.1+dfsg1-6) unstable; urgency=medium

  * debian/rules: Remove confusing line (Closes: #980480)
  * systemd: Don't enable podman-auto-update.service in default.target
    (Closes: #981097)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Jan 2021 21:51:00 -0500

libpod (2.1.1+dfsg1-5) unstable; urgency=medium

  * Install auto-update systemd units

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 25 Jan 2021 07:49:44 -0500

libpod (2.1.1+dfsg1-4) unstable; urgency=medium

  * Ignore containers.conf sysctl when namespaces set to host
    (Closes: #979313)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 06 Jan 2021 20:48:36 -0500

libpod (2.1.1+dfsg1-3) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * Tightened versioned dependency on "containernetworking-plugins".

  [ Reinhard Tartler ]
  * debian/copyright: various cleanups
  * Fix handling of Ambient/Inheritable caps for non root user, Closes: #977717
  * Rely on upstream's build scripts to install manpages
  * Remove conflicting manpage container-mounts(5), Closes: #977502

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 22 Dec 2020 13:00:57 -0500

libpod (2.1.1+dfsg1-2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Install runc by default, Closes: #971253
  * Builds against structured-merge-diff/v4, Closes: #976410

  [ Antonio Terceiro ]


=== debian/control ===
Source: libpod
Section: admin
Priority: optional
Standards-Version: 4.5.0
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
 Faidon Liambotis <paravoid@debian.org>,
Build-Depends: debhelper-compat (= 12)
    ,bash-completion
    ,conmon
    ,dh-golang
    ,go-md2man
    ,golang-any
    ,golang-dbus-dev (>= 5.0.2~)
    ,golang-ginkgo-dev
    ,golang-github-appc-cni-dev (>= 0.8)
    ,golang-github-buger-goterm-dev
    ,golang-github-checkpoint-restore-go-criu-dev
    ,golang-github-containerd-cgroups-dev
    ,golang-github-containernetworking-plugins-dev (>= 0.8.7)
    ,golang-github-containers-buildah-dev (>= 1.19.6)
    ,golang-github-containers-common-dev (>= 0.33.4+ds1-1+deb11u2)
    ,golang-github-containers-image-dev (>= 5.10.2)
    ,golang-github-containers-ocicrypt-dev
    ,golang-github-containers-psgo-dev (>= 1.5.2-1+deb11u1)
    ,golang-github-containers-storage-dev (>= 1.24.8+dfsg1-1+deb11u1)
    ,golang-github-coreos-bbolt-dev (>= 1.3.3~)
    ,golang-github-coreos-go-iptables-dev (>= 0.4.2~)
    ,golang-github-coreos-go-systemd-dev (>= 20~)
    ,golang-github-cyphar-filepath-securejoin-dev (>= 0.2.2~)
    ,golang-github-docker-distribution-dev (>= 2.7.1~)
    ,golang-github-docker-docker-dev (>= 20.10.0~)
    ,golang-github-docker-go-connections-dev (>= 0.4.0~)
    ,golang-github-docker-go-units-dev (>= 0.4.0~)
    ,golang-github-docker-spdystream-dev
    ,golang-github-fullsailor-pkcs7-dev
    ,golang-github-ghodss-yaml-dev
    ,golang-github-google-shlex-dev
    ,golang-github-google-uuid-dev
    ,golang-github-hashicorp-go-multierror-dev
    ,golang-github-influxdata-tail-dev (>= 1.0.0+git20180327.c434825-2~) | golang-github-hpcloud-tail-dev
    ,golang-github-json-iterator-go-dev
    ,golang-github-mrunalp-fileutils-dev
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev
    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
    ,golang-github-opencontainers-runtime-tools-dev (>= 0.9.0~)
    ,golang-github-opencontainers-selinux-dev (>= 1.2.2~)
    ,golang-github-openshift-api-dev
    ,golang-github-openshift-imagebuilder-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-pkg-profile-dev
    ,golang-github-rootless-containers-rootlesskit-dev
    ,golang-github-seccomp-libseccomp-golang-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-github-uber-go-atomic-dev
    ,golang-github-ulikunitz-xz-dev
    ,golang-github-vbatts-tar-split-dev
    ,golang-github-vishvananda-netlink-dev (>= 1.0.0+git20181030~)
    ,golang-github-vividcortex-ewma-dev
    ,golang-go-zfs-dev
    ,golang-go.opencensus-dev
    ,golang-golang-x-crypto-dev
    ,golang-golang-x-sys-dev
    ,golang-golang-x-text-dev
    ,golang-golang-x-tools
    ,golang-golang-x-xerrors-dev
    ,golang-gomega-dev
    ,golang-google-genproto-dev
    ,golang-google-grpc-dev
    ,golang-gopkg-inf.v0-dev
    ,golang-gopkg-square-go-jose.v2-dev
    ,golang-gopkg-yaml.v3-dev
    ,golang-k8s-sigs-structured-merge-diff-dev (>> 4)
    ,golang-k8s-sigs-yaml-dev
    ,golang-toml-dev
    ,libapparmor-dev
    ,libbtrfs-dev
    ,libdevmapper-dev
    ,libglib2.0-dev
    ,libostree-dev
# sphinx docs:
#   ,python3-recommonmark
Homepage: https://github.com/containers/podman
Vcs-Browser: https://salsa.debian.org/debian/libpod
Vcs-Git: https://salsa.debian.org/debian/libpod.git
XS-Go-Import-Path: github.com/containers/podman
Testsuite: autopkgtest-pkg-go

Package: podman
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
    ,conmon (>= 2.0.18~)
    ,containernetworking-plugins (>= 0.8.7)
    ,golang-github-containers-common
    ,crun | runc (>= 1.0.0~rc92~)
    ,iptables
Breaks: buildah (<< 1.10.1-6), slirp4netns (<< 0.4.1), fuse-overlayfs (<< 0.7.1)
Recommends: ${misc:Recommends}
    ,buildah (>= 1.10.1-6~)
    ,fuse-overlayfs (>= 1.0.0~)
    ,slirp4netns (>= 0.4.1~)
    ,catatonit | tini | dumb-init
    ,uidmap
    ,golang-github-containernetworking-plugin-dnsname
Suggests: ${misc:Suggests}
    ,containers-storage
    ,docker-compose
Description: engine to run OCI-based containers in Pods
 Podman is an engine for running OCI-based containers in Pods.
 Podman provides a CLI interface for managing Pods, Containers, and
 Container Images.
 .
 At a high level, the scope of libpod and podman is the following:
  * Support multiple image formats including the OCI and Docker image
    formats.
  * Support for multiple means to download images including trust & image
    verification.
  * Container image management (managing image layers, overlay filesystems,
    etc).
  * Full management of container lifecycle.
  * Support for pods to manage groups of containers together.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface through Podman.
 .
 Podman is a daemon-less alternative to Docker.

Package: golang-github-containers-libpod-dev
Architecture: all
Depends: ${misc:Depends},
    ,golang-dbus-dev (>= 5.0.2~)
    ,golang-ginkgo-dev
    ,golang-github-appc-cni-dev (>= 0.8)
    ,golang-github-buger-goterm-dev
    ,golang-github-checkpoint-restore-go-criu-dev
    ,golang-github-containerd-cgroups-dev
    ,golang-github-containernetworking-plugins-dev (>= 0.8.7)
    ,golang-github-containers-buildah-dev (>= 1.19)
    ,golang-github-containers-common-dev (>= 0.33.4+ds1-1+deb11u2)
    ,golang-github-containers-image-dev (>= 5.10)
    ,golang-github-containers-ocicrypt-dev
    ,golang-github-containers-psgo-dev (>= 1.5.2-1+deb11u1)
    ,golang-github-containers-storage-dev (>= 1.24.8+dfsg1-1+deb11u1)
    ,golang-github-coreos-bbolt-dev (>= 1.3.3~)
    ,golang-github-coreos-go-iptables-dev (>= 0.4.2~)
    ,golang-github-coreos-go-systemd-dev (>= 20~)
    ,golang-github-cyphar-filepath-securejoin-dev (>= 0.2.2~)
    ,golang-github-docker-distribution-dev (>= 2.7.1~)
    ,golang-github-docker-docker-dev (>= 20.10.0~)
    ,golang-github-docker-go-connections-dev (>= 0.4.0~)
    ,golang-github-docker-go-units-dev (>= 0.4.0~)
    ,golang-github-docker-spdystream-dev
    ,golang-github-fullsailor-pkcs7-dev
    ,golang-github-ghodss-yaml-dev
    ,golang-github-google-shlex-dev
    ,golang-github-google-uuid-dev
    ,golang-github-hashicorp-go-multierror-dev
    ,golang-github-influxdata-tail-dev (>= 1.0.0+git20180327.c434825-2~) | golang-github-hpcloud-tail-dev
    ,golang-github-json-iterator-go-dev
    ,golang-github-mrunalp-fileutils-dev
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev
    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
    ,golang-github-opencontainers-runtime-tools-dev (>= 0.9.0~)
    ,golang-github-opencontainers-selinux-dev (>= 1.2.2~)
    ,golang-github-openshift-api-dev
    ,golang-github-openshift-imagebuilder-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-pkg-profile-dev
    ,golang-github-rootless-containers-rootlesskit-dev
    ,golang-github-seccomp-containers-golang-dev
    ,golang-github-seccomp-libseccomp-golang-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-github-uber-go-atomic-dev
    ,golang-github-ulikunitz-xz-dev
    ,golang-github-vbatts-tar-split-dev
    ,golang-github-vishvananda-netlink-dev (>= 1.0.0+git20181030~)
    ,golang-github-vividcortex-ewma-dev
    ,golang-go-zfs-dev
    ,golang-go.opencensus-dev
    ,golang-golang-x-crypto-dev
    ,golang-golang-x-sys-dev
    ,golang-golang-x-text-dev
    ,golang-golang-x-xerrors-dev
    ,golang-gomega-dev
    ,golang-google-genproto-dev
    ,golang-google-grpc-dev
    ,golang-gopkg-inf.v0-dev
    ,golang-gopkg-square-go-jose.v2-dev
    ,golang-gopkg-yaml.v3-dev
    ,golang-k8s-sigs-structured-merge-diff-dev
    ,golang-toml-dev
Description: engine to run OCI-based containers in Pods (library)
 Podman is an engine for running OCI-based containers in Pods.
 Podman provides a CLI interface for managing Pods, Containers, and
 Container Images.
 .
 At a high level, the scope of libpod and podman is the following:
  * Support multiple image formats including the OCI and Docker image
    formats.
  * Support for multiple means to download images including trust & image
    verification.
  * Container image management (managing image layers, overlay filesystems,
    etc).
  * Full management of container lifecycle.
  * Support for pods to manage groups of containers together.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface through Podman.
 .
 Podman is a daemon-less alternative to Docker.
 .
 This package contains golang sources that other packages may require for
 building.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export GO111MODULE=off

export DH_GOLANG_GO_GENERATE := 1

export DH_GOLANG_INSTALL_EXTRA := $(wildcard libpod/*/testdata/*) $(wildcard hack/*)
export DH_GOLANG_EXCLUDES := dependencies test/e2e contrib/perftest test/utils test/endpoint hack/podman-registry-go pkg/bindings/test

export HOME=$(CURDIR)/debian/tmp

## https://podman.io/getting-started/installation#build-tags
BUILDTAGS := apparmor,ostree,seccomp,selinux,systemd
# containers_image_openpgp

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_output

override_dh_clean:
	dh_clean $(PB_GO_FILES)
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'

override_dh_auto_build:
	$(MAKE) docs

#	LDFLAGS_PODMAN="-X main.gitCommit=$(GIT_COMMIT)"
	dh_auto_build -v  --builddirectory=_output -- -tags "$(BUILDTAGS)" \
          -ldflags "-X main.buildInfo=$(DEB_VERSION)"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# make test binaries available where the tests expect them
	ln -sv  ../../../../bin  _output/src/github.com/containers/podman/bin
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.cache
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.config
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.local/share
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/run
	env \
	  HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CACHE_HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CONFIG_HOME=$(CURDIR)/debian/tmp-home/.config \
	  XDG_DATA_HOME=$(CURDIR)/debian/tmp-home/.local/share \
	  XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
	  PATH="$(CURDIR)/_output/bin:$$PATH" \
	  DH_GOLANG_EXCLUDES="$${DH_GOLANG_EXCLUDES} libpod/lock/file libpod/hack/podman-registry-go libpod/pkg/bindings/test" \
	dh_auto_test -v --max-parallel=2 -- -tags "$(BUILDTAGS)"
	rm -rf $(CURDIR)/debian/tmp-home
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp --buildsystem=golang --builddirectory=_output
	# avoid exposing unnecessary vendor libraries
	rm -rfv debian/tmp/usr/share/gocode/src/github.com/containers/libpod/vendor

override_dh_installsystemd:
	dh_installsystemd
	dh_installsystemd --name=podman-auto-update
